---
name: Mike Greiling
locality: Minneapolis, MN
country: USA
role: <a href="/job-families/engineering/development/frontend/">Senior Frontend Engineer</a>,
  Ecosystem:Foundations
reports_to: leipert
picture: mikegreiling.png
twitter: mikegreiling
gitlab: mikegreiling
departments:
- Engineering Function
- Development Department
- Frontend
- Dev Section
- Ecosystem:Foundations Team
- Ecosystem:Foundations FE Team
projects:
  gitlab: maintainer frontend
  gitlab-ui: maintainer
  gitlab-eslint-config: maintainer
  gitlab-svgs: maintainer
  gitlab-development-kit: maintainer
  customers-app: maintainer frontend
  status-page: maintainer frontend
domain_expertise:
- webpack
- frontend_architecture
expertise: |
  <li><a href="https://docs.gitlab.com/ee/development/fe_guide/architecture.html">Frontend Architectural</a> <a href="/company/team/structure/#expert">expert</a></li>
  <li><a href="https://webpack.js.org/">Webpack</a> <a href="/company/team/structure/#expert">expert</a></li>
story: |
  Mike hails from the land of 10,000 lakes where the winters are cold and the sports teams never win.
  Prior to joining GitLab, Mike spent much of his post-graduate years as a freelancer and occasional
  entrepreneur.  He has a passion for crafting elegant solutions to complex problems through software
  and enjoys exploring new languages and frameworks whenever possible.  In his free time, Mike enjoys
  biking, craft beer, travel, and spending time with his wife and daughter.
specialty: Ecosystem

